#!/usr/local/bin/python3

import sys

sys.setrecursionlimit(10**9)

def no():
    print("No")
    sys.exit(0)

n, m = map(int, input().split())
arr = [input() for i in range(n)]

p = [i for i in range(n + m)]
rg = [0 for i in range(n + m)]

def get(v):
    if v == p[v]:
        return v
    else:
        p[v] = get(p[v])
        return p[v]

def merge(v, u):
    v = get(v);
    u = get(u)

    if v != u:
        if rg[v] > rg[u]:
            v, u = u, v
        if rg[v] == rg[u]:
            rg[u] += 1
        p[v] = u

        return True

    return False

for i in range(n):
    for j in range(m):
        if arr[i][j] == '=':
            merge(i, n + j)

g = [[] for i in range(n + m)]
used = [0 for i in range(n + m)]
dp = [0 for i in range(n + m)]
for i in range(n):
    for j in range(m):
        if arr[i][j] == '>':
            g[get(i)].append(get(n + j))
        elif arr[i][j] == '<':
            g[get(n + j)].append(get(i))

def calc_dp(v):
    if used[v] == 1:
        no()
    if used[v] == 2:
        return dp[v]

    used[v] = 1
    mx = 0
    for i in range(len(g[v])):
        mx = max(mx, calc_dp(g[v][i]))

    dp[v] = mx + 1
    used[v] = 2

    return dp[v]

for i in range(n + m):
    calc_dp(get(i))

print("Yes")
for i in range(n):
    print(dp[get(i)], end=" ")
print()
for i in range(n, n + m):
    print(dp[get(i)], end=" ")
print()
