#include <bits/stdc++.h>
#define pb push_back
#define x first
#define y second
#define mp make_pair
#define len(a) int(a.size())
#define files(FILENAME) read(FILENAME); write(FILENAME)
#define read(FILENAME) freopen((string(FILENAME) + ".in").c_str(), "r", stdin)
#define write(FILENAME) freopen((string(FILENAME) + ".out").c_str(), "w", stdout)
using namespace std;
        
template<typename T1, typename T2>inline void chkmin(T1 &x, T2 y) { if (x > y) x = y; }
template<typename T1, typename T2>inline void chkmax(T1 &x, T2 y) { if (x < y) x = y; } 
template<typename T, typename U> inline ostream &operator<< (ostream &_out, const pair<T, U> &_p) { _out << _p.first << ' ' << _p.second; return _out; }
template<typename T, typename U> inline istream &operator>> (istream &_in, pair<T, U> &_p) { _in >> _p.first >> _p.second; return _in; }
template<typename T> inline ostream &operator<< (ostream &_out, const vector<T> &_v) { if (_v.empty()) { return _out; } _out << _v.front(); for (auto _it = ++_v.begin(); _it != _v.end(); ++_it) { _out << ' ' << *_it; } return _out; }
template<typename T> inline istream &operator>> (istream &_in, vector<T> &_v) { for (auto &_i : _v) { _in >> _i; } return _in; }
template<typename T> inline ostream &operator<< (ostream &_out, const set<T> &_s) { if (_s.empty()) { return _out; } _out << *_s.begin(); for (auto _it = ++_s.begin(); _it != _s.end(); ++_it) { _out << ' ' << *_it; } return _out; }
template<typename T> inline ostream &operator<< (ostream &_out, const multiset<T> &_s) { if (_s.empty()) { return _out; } _out << *_s.begin(); for (auto _it = ++_s.begin(); _it != _s.end(); ++_it) { _out << ' ' << *_it; } return _out; }
template<typename T> inline ostream &operator<< (ostream &_out, const unordered_set<T> &_s) { if (_s.empty()) { return _out; } _out << *_s.begin(); for (auto _it = ++_s.begin(); _it != _s.end(); ++_it) { _out << ' ' << *_it; } return _out; }
template<typename T> inline ostream &operator<< (ostream &_out, const unordered_multiset<T> &_s) { if (_s.empty()) { return _out; } _out << *_s.begin(); for (auto _it = ++_s.begin(); _it != _s.end(); ++_it) { _out << ' ' << *_it; } return _out; }
template<typename T, typename U> inline ostream &operator<< (ostream &_out, const map<T, U> &_m) { if (_m.empty()) { return _out; } _out << '(' << _m.begin()->first << ": " << _m.begin()->second << ')'; for (auto _it = ++_m.begin(); _it != _m.end(); ++_it) { _out << ", (" << _it->first << ": " << _it->second << ')'; } return _out; }
template<typename T, typename U> inline ostream &operator<< (ostream &_out, const unordered_map<T, U> &_m) { if (_m.empty()) { return _out; } _out << '(' << _m.begin()->first << ": " << _m.begin()->second << ')'; for (auto _it = ++_m.begin(); _it != _m.end(); ++_it) { _out << ", (" << _it->first << ": " << _it->second << ')'; } return _out; }
        
typedef long long base; 
typedef pair<int, int> point;      

const long long INF = 1e18;

int n, m;
vector<int> cnt[2001];
string tp[2001];
int val[2001];
vector<int> order;

bool cmp(int i, int j) {
    if ((i < n) ^ (j < n)) {
    	if (j < n) return tp[i][j] == '<';
    	else       return tp[i][j - n] == '<';
    } else {
        return cnt[i] > cnt[j];
    }
}

int main() {
    ios::sync_with_stdio(0);
    cin.tie(0), cout.tie(0);
    srand(time(0));
    cin >> n >> m;
    for (int i = 0; i < n; ++i) {
        cin >> tp[i];
        for (int j = 0; j < m; ++j) {
            tp[j + n] += int('=') * 2 - int(tp[i][j]);
        }
    }
    for (int i = 0; i < (n + m); ++i) {
        order.pb(i);
        cnt[i].resize(2);
        for (char c : tp[i]) {
        	if (c == '<')      cnt[i][0]++;
        	else if (c == '=') cnt[i][1]++;
        }
    }
    sort(order.begin(), order.end(), cmp);
    int cnt = 1;
    for (int i : order) {
        if (!val[i]) val[i] = cnt++;
        for (int j = 0; j < n + m; ++j) {
            if (!cmp(i, j) && !cmp(j, i)) {
                val[j] = val[i];
            }
        }
    }
    bool OK = true;
    for (int i = 0; i < n; ++i) {
        for (int j = 0; j < m; ++j) {
            if (val[i] == val[j + n] && tp[i][j] != '=') OK = false;
            if (val[i] < val[j + n]  && tp[i][j] != '<') OK = false;
            if (val[i] > val[j + n]  && tp[i][j] != '>') OK = false;
        }
    }
    if (OK) {
        cout << "Yes\n";
        for (int i = 0; i < n; ++i) cout << val[i] << ' '; cout << '\n';
        for (int i = 0; i < m; ++i) cout << val[i + n] << ' '; cout << '\n';
    } else {
        cout << "No\n";
    }
}  
