#include <stdio.h>
#include <iostream>
#include <stdlib.h>
#include <string>
#include <string.h>
#include <vector>
#include <stack>
#include <queue>
#include <deque>
#include <set>
#include <map>
#include <assert.h>
#include <algorithm>
#include <iomanip>
#include <time.h>
#include <math.h>
#include <bitset>

#pragma comment(linker, "/STACK:256000000")

using namespace std;

typedef long long int ll;
typedef long double ld;

const int INF = 1000 * 1000 * 1000 + 21;
const ll LLINF = (1ll << 60) + 5;
const int MOD = 1000 * 1000 * 1000 + 7;

int w1, h1, w2, h2;

bool check_in(int x, int y, int x1, int y1, int x2, int y2) {
    return x1 <= x && x <= x2 && y1 <= y && y <= y2;
}

int main() {
#ifdef CH_EGOR
    freopen("input.txt", "r", stdin);
    //freopen("output.txt", "w", stdout);
#else
    //freopen("", "r", stdin);
    //freopen("", "w", stdout);
#endif

    scanf("%d%d%d%d", &w1, &h1, &w2, &h2);

    int ans = 0;
    int total_w = max(w1, w2);
    for (int i = 0; i <= total_w + 1; ++i) {
        for (int j = 0; j <= h1 + h2 + 1; ++j) {
            if (!check_in(i, j, 1, 1, w1, h1)
                && !check_in(i, j, 1, h1 + 1, w2, h1 + h2)
                && (check_in(i, j, 0, 0, w1 + 1, h1 + 1) || check_in(i, j, 0, h1, w2 + 1, h1 + h2 + 1))) {
                ++ans;
            }
        }
    }

    printf("%d\n", ans);

    return 0;
}

