#include "testlib.h"

using namespace std;

typedef long long int ll;

struct group
{
	string name;
	int MAX_A;
	int MAX_T;
	int MAX_D;
};

const int CNT_GROUP = 6;

group groups[CNT_GROUP] =
{
	{
    .name = "samples",
    .MAX_A = 10,
    .MAX_T = 10,
    .MAX_D = 10
	},
	{
    .name = "group1",
    .MAX_A = 100,
    .MAX_T = 100,
    .MAX_D = 100
	},
	{
    .name = "group2",
    .MAX_A = 1000 * 1000,
    .MAX_T = 1,
    .MAX_D = 1000 * 1000 * 1000
	},
	{
    .name = "group3",
    .MAX_A = 1000 * 1000,
    .MAX_T = 1000 * 1000,
    .MAX_D = 1000 * 1000 * 1000
	},
	{
    .name = "group4",
    .MAX_A = 1000 * 1000,
    .MAX_T = 1000 * 1000 * 1000,
    .MAX_D = 1
	},
	{
    .name = "group5",
    .MAX_A = 1000 * 1000,
    .MAX_T = 1000 * 1000 * 1000,
    .MAX_D = 1000 * 1000 * 1000
	},
};


int main(int argc, char **argv)
{
	registerValidation(argc, argv);

	int group_id = -1;

	for (int i = 0; i < CNT_GROUP; ++i)
	{
		if (groups[i].name == validator.group())
		{
			group_id = i;
			break;
		}
	}

	ensuref(group_id != -1, "no group for this test");

	inf.readInt(1, groups[group_id].MAX_A, "a");
	inf.readEoln();
	inf.readInt(1, groups[group_id].MAX_A, "b");
	inf.readEoln();
	inf.readInt(1, groups[group_id].MAX_A, "c");
	inf.readEoln();
	inf.readInt(1, groups[group_id].MAX_T, "t");
	inf.readEoln();
	inf.readInt(1, groups[group_id].MAX_D, "d");
	inf.readEoln();
	inf.readEof();

	return 0;
}
