#include "testlib.h"
#include <bits/stdc++.h>
using namespace std;

// Generate tests that have solution of N + M vertices
// First arg - N and M

int main(int argc, char **argv) {
    registerGen(argc, argv, 1);

    int n = atoi(argv[1]);
    int m = n;

    // Initial distribution
    vector<int> result(n + m);
    for (int i = 0; i < n; i++) {
        result[i] = 2 * i;
    }
    shuffle(result.begin(), result.begin() + n);
    for (int i = 0; i < n; i++) {
        result[i + n] = 2 * i + 1;
    }
    shuffle(result.begin() + n, result.end());
    
    // Print the matrix
    printf("%d %d\n", n, m);
    for (int i = 0; i < n; i++) {
        for (int j = 0; j < m; j++) {
            int diff = result[i] - result[j + n];
            if (diff > 0) {
                printf(">");
            } else if (diff == 0) {
                printf("=");
            } else {
                printf("<");
            }
        }
        printf("\n");
    }
}
