#include <bits/stdc++.h>
#include "testlib.h"

using namespace std;

// Limits connected to groups
map<string, int> n_limit = {
    {"", numeric_limits<int>::max()},  // default
    {"samples", numeric_limits<int>::max()},
    {"group1", 3},
    {"group2", 50},
    {"group3", 50},
    {"group4", 1000},
    {"group5", 1000},
 };

map<string, bool> has_equals = {
    {"", true},  // default
    {"samples", true},
    {"group1", true},
    {"group2", false},
    {"group3", true},
    {"group4", false},
    {"group5", true},
 };

int main(int argc, char* argv[]) {
    registerValidation(argc, argv);

    string group = validator.group();

    // read N and M
    int n = inf.readInt(1, n_limit[group], "n");
    inf.readSpace();
    int m = inf.readInt(1, n_limit[group], "m");
    inf.readEoln();

    // read N strings of M chars
    string pattern = "[<>" +
        (has_equals[group] ? string("=") : string("")) + "]";
    for (int i = 1; i <= n; i++) {
        string s = inf.readToken(pattern + "{" + to_string(m) + "}");
        inf.readEoln();
    }

    inf.readEof();
}
