#include <stdio.h>
#include <iostream>
#include <stdlib.h>
#include <string>
#include <string.h>
#include <vector>
#include <stack>
#include <queue>
#include <deque>
#include <set>
#include <map>
#include <assert.h>
#include <algorithm>
#include <iomanip>
#include <time.h>
#include <math.h>
#include <bitset>

#pragma comment(linker, "/STACK:256000000")

using namespace std;

typedef long long int ll;
typedef long double ld;

const int INF = 1000 * 1000 * 1000 + 21;
const ll LLINF = (1ll << 60) + 5;
const int MOD = 1000 * 1000 * 1000 + 7;

const int MAX_N = 1005;

int n, m;
char arr[MAX_N][MAX_N];
int ans1[MAX_N];
int ans2[MAX_N];

void no() {
    printf("No\n");
    exit(0);
}

int main() {
#ifdef CH_EGOR
    freopen("input.txt", "r", stdin);
    //freopen("output.txt", "w", stdout);
#else
    //freopen("", "r", stdin);
    //freopen("", "w", stdout);
#endif

    scanf("%d%d", &n, &m);
    for (int i = 0; i < n; ++i) {
        scanf("%s", arr[i]);
    }

    for (int i = 0; i < n; ++i) {
        ans1[i] = 1;
    }
    for (int i = 0; i < m; ++i) {
        ans2[i] = 1;
    }

    vector<int> ns(n);
    vector<int> ms(m);
    for (int i = 0; i < n; ++i) {
        ns[i] = i;
    }
    for (int i = 0; i < m; ++i) {
        ms[i] = i;
    }
    srand(13071999);
    random_shuffle(ns.begin(), ns.end());
    random_shuffle(ms.begin(), ms.end());


    while (true) {
        for (auto i : ns) {
            for (auto j : ms) {
                if (arr[i][j] == '<' && ans1[i] >= ans2[j]) {
                    ans2[j] = ans1[i] + 1;
                }
                if (arr[i][j] == '>' && ans1[i] <= ans2[j]) {
                    ans1[i] = ans2[j] + 1;
                }
                if (arr[i][j] == '=' && ans1[i] != ans2[j]) {
                    ans1[i] = max(ans1[i], ans2[j]);
                    ans2[j] = max(ans1[i], ans2[j]);
                }
            }
        }
        
        int mn = INF;
        for (int i = 0; i < n; ++i) {
            mn = min(mn, ans1[i]);
        }
        for (int i = 0; i < m; ++i) {
            mn = min(mn, ans2[i]);
        }
        
        if (mn != 1) {
            no();
        }
        
        bool fleks = true;
        for (int i = 0; i < n && fleks; ++i) {
            for (int j = 0; j < m && fleks; ++j) {
                if (arr[i][j] == '<' && ans1[i] >= ans2[j]) {
                    fleks = false;
                }
                if (arr[i][j] == '>' && ans1[i] <= ans2[j]) {
                    fleks = false;
                }
                if (arr[i][j] == '=' && ans1[i] != ans2[j]) {
                    fleks = false;
                }
            }
        }

        if (fleks) {
            break;
        }
    }

    printf("Yes\n");
    for (int i = 0; i < n; ++i) {
        printf("%d ", ans1[i]);
    }
    printf("\n");
    for (int i = 0; i < m; ++i) {
        printf("%d ", ans2[i]);
    }
    printf("\n");

    return 0;
}

