#!/usr/bin/python

import sys

sys.setrecursionlimit(10**9)

def no():
    sys.stdout.write("No\n")
    sys.exit(0)

n, m = map(int, sys.stdin.readline().split())
arr = [sys.stdin.readline().rstrip() for i in range(n)]

p = [i for i in range(n + m)]

def get(v):
    now = []
    while p[v] != v:
        now.append(v)
        v = p[v]

    for i in range(len(now)):
        p[now[i]] = v
    return v

def merge(v, u):
    p[get(v)] = get(u)

[[merge(i, n + j) if arr[i][j] == '=' else None for j in range(m)] for i in range(n)]
[get(i) for i in range(n + m)]
g = [[] for i in range(n + m)]
used = [0 for i in range(n + m)]
dp = [0 for i in range(n + m)]
[[g[p[i]].append(p[n + j]) if arr[i][j] == '>' else g[p[n + j]].append(p[i]) if arr[i][j] == '<' else None for j in range(m)] for i in range(n)]

def calc_dp(v):
    if used[v] == 1:
        no()
    if used[v] == 2:
        return dp[v]

    used[v] = 1
    dp[v] = max([0] + [calc_dp(g[v][i]) for i in range(len(g[v]))]) + 1
    used[v] = 2

    return dp[v]

[calc_dp(p[i]) if p[i] == i else None for i in range(n + m)]

sys.stdout.write("Yes\n")
for i in range(n):
    sys.stdout.write(str(dp[get(i)]) + " ")
sys.stdout.write("\n")
for i in range(n, n + m):
    sys.stdout.write(str(dp[get(i)]) + " ")
sys.stdout.write("\n")
